<!DOCTYPE html>
<html lang="fr">
    <head>
        <meta charset="utf-8">
        <title>Les grands Rois de la dynastie capétienne : Adhésion</title>
        <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
        <link rel="stylesheet" href="./style.css">
        <script src="script.js"></script>
        <script src="https://kit.fontawesome.com/6fff06db45.js"></script>
    </head>
    <body onload="horloge(); activeRubrique('form');">
        <% include ../base/header %>
        <% include ../base/nav %>
        <main>
            <%= message %>
            <form action="" method="post">
                <fieldset>
                    <legend> Formulaire d'adhésion</legend>
                    <div class="champs">
                        <label for="nom">Nom :</label>
                        <input type="text" class="form-input" id="nom" name="userName" onChange="javascript:this.value=this.value.toUpperCase();" required>
                    </div>
                    <div class="champs">
                        <label for="prenom">Prénom :</label>
                        <input type="text" class="form-input" id="prenom" name="userFirstName" onchange="this.value = this.value.charAt(0).toUpperCase() + this.value.substr(1);" required>
                    </div>
                    <div class="champs">
                        <label for="naissance">Date de naissance :</label>
                        <input type="date" class="form-input" id="date" name="userBirthday" required>
                    </div>
                    <div class="champs">
                        <label for="adresse">Adresse :</label>
                        <input type="text" class="form-input" id="adresse" name="userAddress" required>
                    </div>
                    <div class="champs">
                        <label for="code_postal">Code postal :</label>
                        <input type="text" class="form-input" id="code_postal" name="userZipCode" required>
                    </div>
                    <div class="champs">
                        <label for="ville">Ville :</label>
                        <input type="text" class="form-input" id="ville" name="userCity" onchange="this.value = this.value.charAt(0).toUpperCase() + this.value.substr(1);" required>
                    </div>
                    <div class="champs">
                        <label for="mail">E-mail :</label>
                        <input type="email" class="form-input" id="mail" name="userMail" required>
                    </div>
                    <div class="champs">
                        <label for="phone">Téléphone :</label>
                        <input type="tel" class="form-input" id="phone" name="userPhone" required>
                    </div>
                    <button id="envoi" type="submit">Envoyer</button>
                </fieldset>
            </form>
        </main>
        <% include ../base/footer %>
    </body>
</html>
